Migrates an existing User-Managed Notebook to Workbench Instances.

### HTTP request

`POST https://notebooks.googleapis.com/v1/{name}:migrate`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: `projects/{projectId}/locations/{location}/instances/{instanceId}` Authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions on the specified resource `name`: - `notebooks.instances.get` - `notebooks.instances.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "postStartupScriptOption": enum (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.instances/migrate#PostStartupScriptOption`) } ``` |

| Fields ||
|---|---|
| `postStartupScriptOption` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.instances/migrate#PostStartupScriptOption`)`` Optional. Specifies the behavior of post startup script during migration. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## PostStartupScriptOption

Specifies the behavior of post startup script during migration.

| Enums ||
|---|---|
| `POST_STARTUP_SCRIPT_OPTION_UNSPECIFIED` | Post startup script option is not specified. Default is POST_STARTUP_SCRIPT_OPTION_SKIP. |
| `POST_STARTUP_SCRIPT_OPTION_SKIP` | Not migrate the post startup script to the new Workbench Instance. |
| `POST_STARTUP_SCRIPT_OPTION_RERUN` | Redownload and rerun the same post startup script as the User-Managed Notebook. |